Subject: viewhelper backend support
Description

we need support for using viewhelpers in BE

History
#1 - 2009-09-04 20:05 - Bastian Waidelich
- Branch set to v4

What needs to be done here?

#2 - 2009-09-07 14:02 - Bastian Waidelich

Bastian Waidelich wrote:

What needs to be done here?

To reply to myself:
Fluid view helpers need to be independent from $GLOBALS['TSFE'] for example. Or they need to implement some TYPO3_MODE switch.
I started doing this while working on #4418.

#3 - 2009-09-16 13:09 - Bastian Waidelich
- Category set to ViewHelpers
- Assigned To set to Bastian Waidelich

#4 - 2009-09-18 13:00 - Bastian Waidelich
- % Done changed from 0 to 80

Almost all fluid view helpers work in backend mode too now with following restrictions:
    -  cObject - works with the somewhat hacky workaround $GLOBALS['TSFE']->cObjectDepthCounter = 100;
    -  format.crop - simply returns substr($stringToTruncate, $maxCharacters); in BE mode. Arguments "append" and "respectWordBoundaries" are
ignored yet
    -  translate - works partly. language fallback and TypoScript _LOCAL_LANG replacement do not work yet
    -  link.email, uri.email - work, but the javascript encryption won't be active - But that should be OK for BE mode

#5 - 2009-09-18 15:24 - Bastian Waidelich

Bastian Waidelich wrote:
Almost all fluid view helpers work in backend mode too now with following restrictions

I forgot:
image view helper does not work at all in BE mode.. We're working on it!

#6 - 2009-10-02 12:20 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 80 to 100

BE support is implemented.
Not all view helpers work in BE mode yet, but I'm closing this issue for now.
